{
  "openapi": "3.1.0",
  "info": {
    "title": "Buy Marketing API",
    "description": "The Marketing API retrieves eBay products based on a metric, such as Best Selling, as well as products that were also bought and also viewed.",
    "contact": {
      "name": "eBay Inc,"
    },
    "license": {
      "name": "eBay API License Agreement",
      "url": "https://developer.ebay.com/join/api-license-agreement"
    },
    "version": "v1_beta.2.0"
  },
  "servers": [
    {
      "url": "https://api.ebay.com{basePath}",
      "description": "Production",
      "variables": {
        "basePath": {
          "default": "/buy/marketing/v1_beta"
        }
      }
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/merchandised_product": {
      "get": {
        "tags": [
          "merchandised_product"
        ],
        "description": "This method returns an array of products based on the category and metric specified. This includes details of the product, such as the eBay product ID (EPID), title, and user reviews and ratings for the product. You can use the <code>epid</code> returned by this method in the <b>Browse API</b> <b>search</b> method to retrieve items for this product. <h3><b>Restrictions </b></h3> <ul><li>To test <b> getMerchandisedProducts</b> in Sandbox, you must use category ID 9355 and the response will be mock data.  </li>   <li>For a list of supported sites and other restrictions, see <a href=\"/api-docs/buy/static/ref-marketplace-supported.html\" target=\"_blank\"> Buy API Support by Marketplace</a>.</li>  </ul>",
        "operationId": "getMerchandisedProducts",
        "parameters": [
          {
            "name": "aspect_filter",
            "in": "query",
            "description": "This value specifies the aspect name/value pairs used to refine product results. For example, the following would specify the brand to be returned:<br><pre>/buy/marketing/v1_beta/merchandised_product?category_id=31388&metric_name=BEST_SELLING&aspect_filter=Brand:Canon</pre>You can also filter by multiple aspects using a comma-delimited list such as the following:<br><pre>/buy/marketing/v1_beta/merchandised_product?category_id=31388&metric_name=BEST_SELLING&aspect_filter=Color:Black,Brand:Nikon</pre>This returns products that match both filters.<br><br><span class=\"tablenote\"><strong>Note</strong>: Multiple values for the same aspect filter are <em>not</em> supported. For example, if you specify multiple values for the same aspect, only the last value will be used by the API. In the following example, only the last brand specified (Nikon) will be returned:<br><pre>/buy/marketing/v1_beta/merchandised_product?category_id=31388&metric_name=BEST_SELLING&aspect_filter=Brand:Canon,Brand:Nikon</pre>To retrieve products for multiple values of the same aspect, make separate API calls for each filter value.</span><br>You can use the <strong>Browse API's</strong> <a href=\"/develop/api/buy/browse_api#buy-browse_api-item_summary-search\" target=\"_blank\">search</a> method with the <code>fieldgroups=ASPECT_REFINEMENTS</code> field to return the aspects of a product.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "category_id",
            "in": "query",
            "description": "This query parameter limits the products returned to a specific eBay category.  <br /> <br />The list of eBay category IDs is not published and category IDs are not all the same across all the eBay maketplace. You can use the following techniques to find a category by site: <ul> <li>Use the <a href=\"https://pages.ebay.com/sellerinformation/news/categorychanges.html\" target=\"_blank\">Category Changes page</a>.</li> <li>Use the Taxonomy API. For details see <a href=\"/api-docs/buy/buy-categories.html\" target=\"_blank\">Get Categories for Buy APIs</a>. </li>  <li>Use the Browse API and submit the following method to get the <b> dominantCategoryId</b> for an item. <br /><code>/buy/browse/v1/item_summary/search?q=<em>keyword</em>&fieldgroups=ASPECT_REFINEMENTS  </code></li></ul> <br><b> Maximum: </b> 1 <br /><br><b> Required: </b> 1 ",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "This value specifies the maximum number of products to return in a result set. <br /> <br /><span class=\"tablenote\"> <b>Note:</b> Maximum value means the method will return up <em>to</em> that many products per set, but it can be less than this value. If the number of products found is less than this value, the method will return all of the products matching the criteria.</span> <br /><b> Default:</b> 8<br /><br><b> Maximum: </b>100",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "metric_name",
            "in": "query",
            "description": "This value filters the result set by the specified metric. Only products in this metric are returned.<br><br><span class=\"tablenote\"><b>Note:</b> Currently, the only metric supported is <code> BEST_SELLING</code>.</span><br /><b> Default: </b>BEST_SELLING <br /><br> <b> Maximum: </b> 1 <br /><br> <b> Required: </b> 1",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-EBAY-C-MARKETPLACE-ID",
            "in": "header",
            "description": "This header identifies the seller's eBay marketplace. It is required for all marketplaces outside of the US.<br><br><span class=\"tablenote\"><b>Note:</b> If the marketplace ID value is invalid or missing, the default value of <code>EBAY_US</code> is used.</span><br>See <a href=\"/develop/api/buy/buy_marketing_api/most_watched_items/getmostwatcheditems#buy-buy_marketing_api-most_watched_items-getmostwatcheditems.marketplaceidenum\" >MarketplaceIdEnum</a> for a list of supported marketplaces.<br><br><b>Default:</b> <code>EBAY_US</code>",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BestSellingProductResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            },
            "x-response-codes": {
              "errors": {
                "70001": {
                  "domain": "API_MARKETING",
                  "category": "REQUEST",
                  "description": "A metric_name is required to make the API call."
                },
                "70002": {
                  "domain": "API_MARKETING",
                  "category": "REQUEST",
                  "description": "The metric_name {metric_name} is invalid."
                },
                "70003": {
                  "domain": "API_MARKETING",
                  "category": "REQUEST",
                  "description": "A categoryId is required to make the API call."
                },
                "70004": {
                  "domain": "API_MARKETING",
                  "category": "REQUEST",
                  "description": "The category id {categoryId} is invalid"
                },
                "70005": {
                  "domain": "API_MARKETING",
                  "category": "REQUEST",
                  "description": "The 'limit' value should be between 1 and 100 (inclusive)."
                },
                "70006": {
                  "domain": "API_MARKETING",
                  "category": "REQUEST",
                  "description": "The 'limit' value must be an integer value."
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            },
            "x-response-codes": {
              "errors": {
                "70007": {
                  "domain": "API_MARKETING",
                  "category": "BUSINESS",
                  "description": "The marketplace value {marketplace} is not supported. The supported values are: {marketplaces}."
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Error"
                }
              }
            },
            "x-response-codes": {
              "errors": {
                "70000": {
                  "domain": "API_MARKETING",
                  "category": "APPLICATION",
                  "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                }
              }
            }
          }
        },
        "security": [
          {
            "api_auth": [
              "https://api.ebay.com/oauth/api_scope/buy.marketing"
            ]
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "Amount": {
        "type": "object",
        "properties": {
          "currency": {
            "description": "The three-letter <a href=\"https://www.iso.org/iso-4217-currency-codes.html\" target=\"_blank\">ISO 4217</a> code representing the currency of the amount in the <b> value</b> field.",
            "$ref": "#/components/schemas/CurrencyCodeEnum"
          },
          "value": {
            "type": "string",
            "description": "The monetary amount, in the currency specified by the <b> currency</b> field. "
          }
        },
        "description": "This type defines the monetary value of an amount and the currency used."
      },
      "BestSellingProductResponse": {
        "type": "object",
        "properties": {
          "merchandisedProducts": {
            "type": "array",
            "description": "An array of containers for the products.",
            "items": {
              "$ref": "#/components/schemas/MerchandisedProduct"
            }
          },
          "warnings": {
            "type": "array",
            "description": "The container with all the warnings for the input request.",
            "items": {
              "$ref": "#/components/schemas/ErrorDetailV3"
            }
          }
        },
        "description": "The type that defines the fields for the best selling product information."
      },
      "CurrencyCodeEnum": {
        "type": "object",
        "description": "This enumerated type defines the three-letter <a href=\"https://www.iso.org/iso-4217-currency-codes.html\" target=\"_blank\">ISO 4217</a> code representing a world currency. | - **AED**: Indicates the currency is United Arab Emirates dirham. - **AFN**: Indicates the currency is Afghan afghani. - **ALL**: Indicates the currency is Albanian lek. - **AMD**: Indicates the currency is Armenian dram. - **AOA**: Indicates the currency is Angolan kwanza. - **ARS**: Indicates the currency is Argentine peso. - **AWG**: Indicates the currency is Aruban florin. - **AZN**: Indicates the currency is Azerbaijani manat. - **BAM**: Indicates the currency is Bosnia and Herzegovina convertible mark. - **BBD**: Indicates the currency is Barbados dollar. - **BDT**: Indicates the currency is a Bangladeshi taka. - **BGN**: Indicates the currency is Bulgarian lev. - **BHD**: Indicates the currency is Bahraini dinar. - **BIF**: Indicates the currency is Burundian franc. - **BMD**: Indicates the currency is Bermudian dollar. - **BND**: Indicates the currency is Brunei dollar. - **BOB**: Indicates the currency is Bolivian Boliviano. - **BRL**: Indicates the currency is Brazilian real. - **BSD**: Indicates the currency is Bahamian dollar. - **BTN**: Indicates the currency is Bhutanese ngultrum. - **BWP**: Indicates the currency is Botswana pula. - **BYR**: Indicates the currency is Belarusian ruble. - **BZD**: Indicates the currency is Belize dollar. - **CAD**: Indicates the currency is Canadian dollar. - **CDF**: Indicates the currency is Congolese franc. - **CLP**: Indicates the currency is Chilean peso. - **CNY**: Indicates the currency is Chinese yuan renminbi. - **COP**: Indicates the currency is Colombian peso. - **CRC**: Indicates the currency is Costa Rican colon. - **CUP**: Indicates the currency is Cuban peso. - **CVE**: Indicates the currency is Cape Verde escudo. - **CZK**: Indicates the currency is Czech koruna. - **DJF**: Indicates the currency is Djiboutian franc. - **DOP**: Indicates the currency is Dominican peso. - **DZD**: Indicates the currency is Algerian dinar. - **EGP**: Indicates the currency is Egyptian pound. - **ERN**: Indicates the currency is Eritrean nakfa. - **ETB**: Indicates the currency is Ethiopian birr. - **FJD**: Indicates the currency is Fiji dollar. - **FKP**: Indicates the currency is Falkland Islands pound. - **GEL**: Indicates the currency is Georgian lari. - **GHS**: Indicates the currency is Ghanaian cedi. - **GIP**: Indicates the currency is Gibraltar pound. - **DKK**: Indicates the currency is Danish krone. - **GMD**: Indicates the currency is Gambian dalasi. - **GNF**: Indicates the currency is Guinean franc. - **GTQ**: Indicates the currency is Guatemalan quetzal. - **GYD**: Indicates the currency is Guyanese dollar. - **HKD**: Indicates the currency is Hong Kong dollar. - **HNL**: Indicates the currency is Honduran lempira. - **HRK**: Indicates the currency is Croatian kuna. - **HTG**: Indicates the currency is Haitian gourde. - **HUF**: Indicates the currency is Hungarian forint. - **IDR**: Indicates the currency is Indonesian rupiah. - **INR**: Indicates the currency is Indian rupee. - **IQD**: Indicates the currency is Iraqi dinar. - **IRR**: Indicates the currency is Iranian rial. - **ISK**: Indicates the currency is Icelandic krona. - **GBP**: Indicates the currency is British pound sterling. - **JMD**: Indicates the currency is Jamaican dollar. - **JOD**: Indicates the currency is Jordanian dinar. - **JPY**: Indicates the currency is Japanese yen. - **KES**: Indicates the currency is Kenyan shilling. - **KGS**: Indicates the currency is Kyrgyzstani som. - **KHR**: Indicates the currency is Cambodian riel. - **KMF**: Indicates the currency is Comoro franc. - **KPW**: Indicates the currency is North Korean won. - **KRW**: Indicates the currency is South Korean won. - **KWD**: Indicates the currency is Kuwaiti dinar. - **KYD**: Indicates the currency is Cayman Islands dollar. - **KZT**: Indicates the currency is Kazakhstani tenge. - **LAK**: Indicates the currency is Lao kip. - **LBP**: Indicates the currency is Lebanese pound. - **CHF**: Indicates the currency is a Swiss franc. - **LKR**: Indicates the currency is Sri Lankan rupee. - **LRD**: Indicates the currency is Liberian dollar. - **LSL**: Indicates the currency is Lesotho loti. - **LTL**: Indicates the currency is Lithuanian litas. - **LYD**: Indicates the currency is Libyan dinar. - **MAD**: Indicates the currency is Moroccan dirham. - **MDL**: Indicates the currency is Moldovan leu. - **MGA**: Indicates the currency is Malagasy ariary. - **MKD**: Indicates the currency is Macedonian denar. - **MMK**: Indicates the currency is Myanmar kyat. - **MNT**: Indicates the currency is Mongolian tugrik. - **MOP**: Indicates the currency is Macanese pataca. - **MRO**: Indicates the currency is Mauritanian ouguiya. - **XCD**: Indicates the currency is East Caribbean dollar. - **MUR**: Indicates the currency is Mauritian rupee. - **MVR**: Indicates the currency is Maldivian rufiyaa. - **MWK**: Indicates the currency is Malawian kwacha. - **MXN**: Indicates the currency is Mexican peso. - **MYR**: Indicates the currency is Malaysian ringgit. - **MZN**: Indicates the currency is Mozambican metical. - **NAD**: Indicates the currency is Namibian dollar. - **NGN**: Indicates the currency is Nigerian naira. - **NIO**: Indicates the currency is Nicaraguan cordoba oro. - **NPR**: Indicates the currency is Nepalese rupee. - **OMR**: Indicates the currency is Omani rial. - **PAB**: Indicates the currency is Panamanian balboa. - **PEN**: Indicates the currency is Peruvian sol. - **XPF**: Indicates the currency is CFP franc. - **PGK**: Indicates the currency is Papua New Guinean kina. - **PHP**: Indicates the currency is Philippine peso. - **PKR**: Indicates the currency is Pakistani rupee. - **PLN**: Indicates the currency is Polish zloty. - **ILS**: Indicates the currency is Israeli new shekel. - **PYG**: Indicates the currency is Paraguayan guarani. - **QAR**: Indicates the currency is Qatari riyal. - **RON**: Indicates the currency is Romanian leu. - **RSD**: Indicates the currency is Serbian dinar. - **RUB**: Indicates the currency is Russian ruble. - **RWF**: Indicates the currency is Rwandan franc. - **SAR**: Indicates the currency is Saudi riyal. - **SBD**: Indicates the currency is Solomon Islands dollar. - **SCR**: Indicates the currency is Seychelles rupee. - **SDG**: Indicates the currency is Sudanese pound. - **SEK**: Indicates the currency is Swedish krona. - **SGD**: Indicates the currency is Singapore dollar. - **SHP**: Indicates the currency is Saint Helena pound. - **NOK**: Indicates the currency is Norwegian krone. - **SLL**: Indicates the currency is Sierra Leonean leone. - **SOS**: Indicates the currency is Somali shilling. - **SRD**: Indicates the currency is Surinamese dollar. - **STD**: Indicates the currency is Sao Tome and Principe dobra. - **ANG**: Indicates the currency is Netherlands Antillean guilder. - **SYP**: Indicates the currency is Syrian pound. - **SZL**: Indicates the currency is Swazi lilangeni. - **XAF**: Indicates the currency is CFA franc BEAC. - **XOF**: Indicates the currency is CFA franc BCEAO. - **THB**: Indicates the currency is Thai baht. - **TJS**: Indicates the currency is Tajikistani somoni. - **NZD**: Indicates the currency is New Zealand dollar. - **TMT**: Indicates the currency is Turkmenistani manat. - **TND**: Indicates the currency is Tunisian dinar. - **TOP**: Indicates the currency is Tongan pa'anga. - **TRY**: Indicates the currency is Turkish lira. - **TTD**: Indicates the currency is Trinidad and Tobago dollar. - **AUD**: Indicates the currency is Australian dollar. - **TWD**: Indicates the currency is New Taiwan dollar. - **TZS**: Indicates the currency is Tanzanian shilling. - **UAH**: Indicates the currency is Ukrainian hryvnia. - **UGX**: Indicates the currency is Ugandan shilling. - **USD**: Indicates the currency is United States dollar. - **UYU**: Indicates the currency is Uruguayan peso. - **UZS**: Indicates the currency is Uzbekistani som. - **VEF**: Indicates the currency is Venezuelan bolivar. - **VND**: Indicates the currency is Vietnamese dong. - **VUV**: Indicates the currency is Vanuatu vatu. - **WST**: Indicates the currency is Samoan tala. - **YER**: Indicates the currency is Yemeni rial. - **EUR**: Indicates the currency is European Union euro. - **ZAR**: Indicates the currency is South African rand. - **ZMW**: Indicates the currency is Zambian kwacha. - **ZWL**: Indicates the currency is Zimbabwean dollar.",
        "enum": [
          "AED",
          "AFN",
          "ALL",
          "AMD",
          "ANG",
          "AOA",
          "ARS",
          "AUD",
          "AWG",
          "AZN",
          "BAM",
          "BBD",
          "BDT",
          "BGN",
          "BHD",
          "BIF",
          "BMD",
          "BND",
          "BOB",
          "BRL",
          "BSD",
          "BTN",
          "BWP",
          "BYR",
          "BZD",
          "CAD",
          "CDF",
          "CHF",
          "CLP",
          "CNY",
          "COP",
          "CRC",
          "CUP",
          "CVE",
          "CZK",
          "DJF",
          "DKK",
          "DOP",
          "DZD",
          "EGP",
          "ERN",
          "ETB",
          "EUR",
          "FJD",
          "FKP",
          "GBP",
          "GEL",
          "GHS",
          "GIP",
          "GMD",
          "GNF",
          "GTQ",
          "GYD",
          "HKD",
          "HNL",
          "HRK",
          "HTG",
          "HUF",
          "IDR",
          "ILS",
          "INR",
          "IQD",
          "IRR",
          "ISK",
          "JMD",
          "JOD",
          "JPY",
          "KES",
          "KGS",
          "KHR",
          "KMF",
          "KPW",
          "KRW",
          "KWD",
          "KYD",
          "KZT",
          "LAK",
          "LBP",
          "LKR",
          "LRD",
          "LSL",
          "LTL",
          "LYD",
          "MAD",
          "MDL",
          "MGA",
          "MKD",
          "MMK",
          "MNT",
          "MOP",
          "MRO",
          "MUR",
          "MVR",
          "MWK",
          "MXN",
          "MYR",
          "MZN",
          "NAD",
          "NGN",
          "NIO",
          "NOK",
          "NPR",
          "NZD",
          "OMR",
          "PAB",
          "PEN",
          "PGK",
          "PHP",
          "PKR",
          "PLN",
          "PYG",
          "QAR",
          "RON",
          "RSD",
          "RUB",
          "RWF",
          "SAR",
          "SBD",
          "SCR",
          "SDG",
          "SEK",
          "SGD",
          "SHP",
          "SLL",
          "SOS",
          "SRD",
          "STD",
          "SYP",
          "SZL",
          "THB",
          "TJS",
          "TMT",
          "TND",
          "TOP",
          "TRY",
          "TTD",
          "TWD",
          "TZS",
          "UAH",
          "UGX",
          "USD",
          "UYU",
          "UZS",
          "VEF",
          "VND",
          "VUV",
          "WST",
          "XAF",
          "XCD",
          "XOF",
          "XPF",
          "YER",
          "ZAR",
          "ZMW",
          "ZWL"
        ]
      },
      "Error": {
        "type": "object",
        "properties": {
          "category": {
            "type": "string",
            "description": "Identifies the type of error."
          },
          "domain": {
            "type": "string",
            "description": "Name for the primary system where the error occurred. This is relevant for application errors."
          },
          "errorId": {
            "type": "integer",
            "description": "A unique number to identify the error.",
            "format": "int32"
          },
          "inputRefIds": {
            "type": "array",
            "description": "An array of request elements most closely associated to the error.",
            "items": {
              "type": "string"
            }
          },
          "longMessage": {
            "type": "string",
            "description": "A more detailed explanation of the error."
          },
          "message": {
            "type": "string",
            "description": "Information on how to correct the problem, in the end user's terms and language where applicable."
          },
          "outputRefIds": {
            "type": "array",
            "description": "An array of request elements most closely associated to the error.",
            "items": {
              "type": "string"
            }
          },
          "parameters": {
            "type": "array",
            "description": "An array of name/value pairs that describe details the error condition. These are useful when multiple errors are returned.",
            "items": {
              "$ref": "#/components/schemas/ErrorParameter"
            }
          },
          "subdomain": {
            "type": "string",
            "description": "Further helps indicate which subsystem the error is coming from. System subcategories include: Initialization, Serialization, Security, Monitoring, Rate Limiting, etc."
          }
        },
        "description": "This type defines the fields that can be returned in an error."
      },
      "ErrorDetailV3": {
        "type": "object",
        "required": [
          "category",
          "domain",
          "errorId",
          "message"
        ],
        "properties": {
          "category": {
            "type": "string",
            "description": "This string value indicates the error category. There are three categories of errors: request errors, application errors, and system errors. "
          },
          "domain": {
            "type": "string",
            "description": "The name of the primary system where the error occurred. This is relevant for application errors."
          },
          "errorId": {
            "type": "integer",
            "description": "A unique code that identifies the particular error or warning that occurred. Your application can use error codes as identifiers in your customized error-handling algorithms.",
            "format": "int32"
          },
          "inputRefIds": {
            "type": "array",
            "description": "An array of reference IDs that identify the specific request elements most closely associated to the error or warning, if any.",
            "items": {
              "type": "string"
            }
          },
          "longMessage": {
            "type": "string",
            "description": "A detailed description of the condition that caused the error or warning, and information on what to do to correct the problem."
          },
          "message": {
            "type": "string",
            "description": "A description of the condition that caused the error or warning."
          },
          "outputRefIds": {
            "type": "array",
            "description": "An array of reference IDs that identify the specific response elements most closely associated to the error or warning, if any.",
            "items": {
              "type": "string"
            }
          },
          "parameters": {
            "type": "array",
            "description": "An array of warning and error messages that return one or more variables contextual information about the error or warning. This is often the field or value that triggered the error or warning.",
            "items": {
              "$ref": "#/components/schemas/ErrorParameterV3"
            }
          },
          "subdomain": {
            "type": "string",
            "description": "The name of the subdomain in which the error or warning occurred."
          }
        },
        "description": "The type that defines the fields that can be returned in an error."
      },
      "ErrorParameter": {
        "type": "object",
        "description": "This type defines the parameters of an error.",
        "properties": {
          "name": {
            "type": "string",
            "description": "The object of the error."
          },
          "value": {
            "type": "string",
            "description": "The value of the object."
          }
        }
      },
      "ErrorParameterV3": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "This is the name of input field that caused an issue with the call request."
          },
          "value": {
            "type": "string",
            "description": "This is the actual value that was passed in for the element specified in the <b> name</b>  field."
          }
        },
        "description": "This type defines the name/value pairs that provide details regarding the error."
      },
      "FilterField": {
        "type": "object",
        "properties": {
          "field": {
            "type": "string",
            "description": "Provides a way to specify a field in a filter."
          },
          "negated": {
            "type": "boolean",
            "description": "<b> Note: </b> Currently this filter is not supported. "
          },
          "range": {
            "description": "Provides a way to specify a range of values in a filter. ",
            "$ref": "#/components/schemas/RangeValue"
          },
          "set": {
            "type": "array",
            "description": "Provides a way to specify a \"list of values\" in a filter.",
            "items": {
              "type": "string"
            }
          },
          "value": {
            "type": "string",
            "description": "This type provides a way a value in a filter."
          }
        },
        "description": "The type that enables the service to filter result sets. Currently, the only filter is <a href=\"merchandised_product__get.html#request.category_id\"><b> category_id</b></a>."
      },
      "Image": {
        "type": "object",
        "properties": {
          "height": {
            "type": "integer",
            "description": "<b> Reserved for future use. </b> ",
            "format": "int32"
          },
          "imageUrl": {
            "type": "string",
            "description": "The URL of the image."
          },
          "width": {
            "type": "integer",
            "description": "<b> Reserved for future use. </b> ",
            "format": "int32"
          }
        },
        "description": "This type defines the details of an image, such as size and URL. Currently only <b> imageUrl</b> is getting populated. The <b> height</b> and <b> width</b> were added for future use."
      },
      "MarketPriceDetail": {
        "type": "object",
        "properties": {
          "conditionGroup": {
            "type": "string",
            "description": "The name for the condition of the product. For example: NEW"
          },
          "conditionIds": {
            "type": "array",
            "description": "An array of condition identifiers for the product.",
            "items": {
              "type": "string"
            }
          },
          "estimatedStartPrice": {
            "description": "The lowest priced active item for this product on eBay.",
            "$ref": "#/components/schemas/Amount"
          }
        },
        "description": "The type that defines the fields for details about the product, such as condition and estimated start price."
      },
      "MarketingAspectFilter": {
        "type": "object",
        "properties": {
          "filters": {
            "type": "array",
            "description": "This field supports field filters that can be used to use to limit/customize the result set. ",
            "items": {
              "$ref": "#/components/schemas/FilterField"
            }
          }
        },
        "description": "The type that enables the service to filter result sets."
      },
      "MerchandisedProduct": {
        "type": "object",
        "properties": {
          "averageRating": {
            "type": "string",
            "description": "The average rating for the product based on eBay user ratings."
          },
          "epid": {
            "type": "string",
            "description": "The eBay product identifier of a product from the eBay product catalog. You can use this value in the Browse API <b>search</b> method to retrieve items for this product."
          },
          "image": {
            "description": "The container for the product image.",
            "$ref": "#/components/schemas/Image"
          },
          "marketPriceDetails": {
            "type": "array",
            "description": "An array of containers for the product market price details, such as condition and market price.",
            "items": {
              "$ref": "#/components/schemas/MarketPriceDetail"
            }
          },
          "ratingAspects": {
            "type": "array",
            "description": "An array of containers for ratings of the product aspects, such as \"Is it a good value\".",
            "items": {
              "$ref": "#/components/schemas/RatingAspect"
            }
          },
          "ratingCount": {
            "type": "integer",
            "description": "The total number of eBay users that rated the product.",
            "format": "int32"
          },
          "reviewCount": {
            "type": "integer",
            "description": "The total number of eBay users that wrote a review for the product. ",
            "format": "int32"
          },
          "title": {
            "type": "string",
            "description": "The title of the product."
          }
        },
        "description": "The type that defines the fields for product information, including price, condition, ratings, etc."
      },
      "RangeValue": {
        "type": "object",
        "properties": {
          "end": {
            "type": "string",
            "description": "Specifies the end or upper limit of the range. This can be empty which equates to greater than or equal to the start or lower limit."
          },
          "exclusiveEnd": {
            "type": "boolean",
            "description": "Specifies whether the <b> end</b> value is to be included in the range. For example, if <b> end</b> was 100, and <b> exclusiveEnd</b> was true, the end range would be &lt; 100. But if it was set to false, it would be &lt;= 100."
          },
          "exclusiveStart": {
            "type": "boolean",
            "description": "Specifies whether the <b> start</b> value is to be included in the range. For example, if <b> start</b> was 60, and <b> exclusiveStart</b> was true, the start range would be &gt; 60. But if it was set to false, it would be &gt;= 60."
          },
          "range": {
            "type": "boolean",
            "description": "Specifies whether the filter is for a range of values."
          },
          "start": {
            "type": "string",
            "description": "Specifies the start or lower limit of the range. This can be empty which equates to lesser than or equal to the end or upper limit."
          }
        },
        "description": "The type that defines the fields for a range of values."
      },
      "RatingAspect": {
        "type": "object",
        "properties": {
          "count": {
            "type": "integer",
            "description": "The number of eBay users that rated the product on this aspect.",
            "format": "int32"
          },
          "description": {
            "type": "string",
            "description": "The name of the rating aspect. Camping tent examples: Is it lightweight? or Is it easy to set up?"
          },
          "name": {
            "type": "string",
            "description": "The answer or value of the rating aspect. Camping tent examples: Lightweight or Easy to set up"
          },
          "ratingAspectDistributions": {
            "type": "array",
            "description": "The container for the details of the aspect rating. The details show the aspect rating value, usually TRUE or FALSE and the user count and percentage.",
            "items": {
              "$ref": "#/components/schemas/RatingAspectDistribution"
            }
          }
        },
        "description": "The type that defines the fields for the product aspect ratings."
      },
      "RatingAspectDistribution": {
        "type": "object",
        "properties": {
          "count": {
            "type": "integer",
            "description": "The number of eBay users that choose this rating aspect value.",
            "format": "int32"
          },
          "percentage": {
            "type": "string",
            "description": "The percentage of the aspect rating value. <br /><br /> <b> ratingAspectDistributions.percentage</b> =  <b> ratingAspectDistributions.count</b> /  <b>ratingAspects.count</b>"
          },
          "value": {
            "type": "string",
            "description": "The rating aspect. For example: TRUE or FALSE"
          }
        },
        "description": "The type that defines the field for the aspect rating details, such as the aspect rating value, usually TRUE or FALSE and the user count and percentage."
      }
    },
    "securitySchemes": {
      "api_auth": {
        "type": "oauth2",
        "description": "The security definitions for this API. Please check individual operations for applicable scopes.",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://api.ebay.com/identity/v1/oauth2/token",
            "scopes": {
              "https://api.ebay.com/oauth/api_scope/buy.marketing": "Retrieve eBay product and listing data for use in marketing merchandise to buyers"
            }
          }
        }
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  }
}